#include <errno.h>
#include <ios1.h>
#include <fcntl.h>
#include <dos.h>
#include <dos/dos.h>
#include <proto/dos.h>
#include "netlib.h"

int ftruncate(int fd, long newlength)
{
  struct UFB *ufb;

  /*
   * find the ufb *
   */
  if ((ufb = __chkufb(fd)) != NULL && !(ufb->ufbflg & UFB_SOCK))
  {
	if(-1==SetFileSize(ufb->ufbfh,newlength,OFFSET_BEGINNING))
    {
		set_errno(IoErr());
		return -1;
	}
	return 0;
  }
  
  errno = EINVAL;
  return -1;
}
